Installing WordPress on XAMPP

Tagged: ,

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #6823
    kennedy
    Participant

    Hi all,

    Hope all are doing great!

    I tried to install WP on localhost using XAMPP and faced the following issue:

    Getting to the database connection part of the installation, after putting in DB name, user, password, etc getting the following message:

    “There has been a critical error on this website.”

    What i have done so far is:

    – Checked that I can access a test php page on localhost
    – Checed the database credentials and premissions are set to all
    – Tried creating a new user with password
    – Changed UAC settings in windows
    – Banged head against desk
    – reinstalled XAMPP
    – Redownloaded WP

    Did i miss out something else: Your suggestions please

    Thanks in advance.

    #6854
    Gowthami R
    Keymaster

    The current 5.8 release of WordPress is not compatible with PHP 8.1. Make sure to use a version of XAMPP that bundles the PHP 7.4 or 8.0 branch instead. For many reasons, I would suggest using a version of XAMPP that bundles PHP 7.4.

Viewing 2 posts - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.